    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/
#include <new>
using namespace std;
#include "o3bin.h"
#include "o3exceptions.h"
#include <typeinfo>

LOb::~LOb()
{
}

  //////////////////////////////////////////////////////////////////////////////////////////////////
 //..public......................................................................................//
//////////////////////////////////////////////////////////////////////////////////////////////////

BinLOb::BinLOb(int newsize)
{
	datasize = 0;
	buffersize = newsize;

	try {
		buffer = new char[newsize];
	}
	catch(bad_alloc) {
		throw ExceptionOutOfMemory(__FILE__, __LINE__);
	}
}

BinLOb::~BinLOb()
{
	free(buffer);
}

const char* BinLOb::rData() const
{
	return buffer;
}

char* BinLOb::rwData() const
{
	return buffer;
}

int BinLOb::size() const
{
	return datasize;
}

int BinLOb::size(int newsize)
{
	if (newsize <= buffersize)
		return datasize = newsize;
	else
		return datasize = buffersize;
}

int BinLOb::bufSize() const
{
	return buffersize;
}

void BinLOb::saveData(const char* src, int bytes)
{
	if (bytes > buffersize)
		bytes = buffersize;

	memcpy(buffer, src, bytes);
	datasize = bytes;
}

  //////////////////////////////////////////////////////////////////////////////////////////////////
 //..private.....................................................................................//
//////////////////////////////////////////////////////////////////////////////////////////////////
