    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/
#include "o3comment.h"
#include <typeinfo>

  //////////////////////////////////////////////////////////////////////////////////////////////////
 //..public......................................................................................//
//////////////////////////////////////////////////////////////////////////////////////////////////

CommentLOb::CommentLOb()
{
	string::assign("");
}

CommentLOb::~CommentLOb()
{
}

const char* CommentLOb::rData() const
{
	return string::c_str();
}

char* CommentLOb::rwData() const
{
	return NULL;
}

int CommentLOb::size() const
{
	return string::size();
}

string CommentLOb::getParm(int index) const
{
	int a,b,c,x,brcount;

	brcount = 0;
	a = 0;
	c = 0;

	for (x = 0; x < string::length(); x++) {
		switch (string::at(x)) {
			case '(':	brcount++;
						break;

			case ')':	brcount--;
						break;

			case ' ':	if (brcount)
							break;
						b = x;

						if (c == index)
							return string::substr(a, b-a);
						
						c++;

						while (string::at(x+1) == ' ')
							x++;

						a = x+1;
						break;
		}
	}

	b = string::length();
	return string::substr(a, b-a);
}

string CommentLOb::getRestOfLine(int index) const
{
	int a,c,x,brcount;

	brcount = 0;
	a = 0;
	c = 0;

	for (x = 0; x < string::length(); x++) {
		switch (string::at(x)) {
			case '(':	brcount++;
						break;

			case ')':	brcount--;
						break;

			case ' ':	if (brcount)
							break;

						if (c == index)
							return string::substr(a, string::length()-a);

						c++;

						while (string::at(x+1) == ' ')
							x++;

						a = x+1;
						break;
		}
	}

	return string::substr(a, string::length()-a);
}

  //////////////////////////////////////////////////////////////////////////////////////////////////
 //..private.....................................................................................//
//////////////////////////////////////////////////////////////////////////////////////////////////
