    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/
#include <string>
using namespace std;

#ifndef __o3headeritem__
#define __o3headeritem__

#include "o3comment.h"
#include "o3text.h"

class HeaderItem {
public:
					HeaderItem();
					HeaderItem(int null);	// xxx only used for creating a hi-object in a map..
					HeaderItem(const string& str);
					
	void			add(const CommentLOb& comment);
	void			add(const TextLOb& text);
	void			add(const char *str);
	void			set(const CommentLOb& comment);
	void			set(const TextLOb& text);
	void			set(const char* str);
	void			set(const string& str);
	void			clear();
	void			clone(HeaderItem& source);
	string			getValue()				const;
	string			getLineData()			const;
	string			getLineDataX()			const;
	int				getInt(int index)		const;
	float			getFloat(int index)		const;
	string			getString(int index)	const;
	bool			isValid()				const;

private:
	string			value;
	string			linedata;
	bool			valid;

	string			getpstoken(const string& str, int index) const;
};

#endif // __o3headeritem__
