    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/

#include "o3literals.h"

const char	Literals::CR								= 13;
const char	Literals::LF								= 10;

const string	Literals::PostScript::ALDImageFileName					= "%ALDImageFileName:";
const string	Literals::PostScript::ALDImageID					= "%ALDImageID:";
const string	Literals::PostScript::ALDObjectComments					= "%ALDObjectComments:";
const string	Literals::PostScript::ALDImageDimensions				= "%ALDImageDimensions:";
const string	Literals::PostScript::ALDImageCropRect					= "%ALDImageCropRect:";
const string	Literals::PostScript::ALDImageCropFixed					= "%ALDImageCropFixed:";
const string	Literals::PostScript::ALDImagePosition					= "%ALDImagePosition:";
const string	Literals::PostScript::ALDImageResolution				= "%ALDImageResolution:";
const string	Literals::PostScript::ALDImageColorType					= "%ALDImageColorType:";
const string	Literals::PostScript::ALDImageColor					= "%ALDImageColor:";
const string	Literals::PostScript::ALDImageTint					= "%ALDImageTint:";
const string	Literals::PostScript::ALDImageOverprint					= "%ALDImageOverprint:";
const string	Literals::PostScript::ALDImageType					= "%ALDImageType:";
const string	Literals::PostScript::ALDImageGrayMap					= "%ALDImageGrayMap:";
const string	Literals::PostScript::ALDImageTransparency				= "%ALDImageTransparency:";
const string	Literals::PostScript::ALDImageASCIITag					= "%ALDImageASCIITag";
const string	Literals::PostScript::BeginObject					= "%%BeginObject:";
const string	Literals::PostScript::EndObject						= "%%EndObject";
const string	Literals::PostScript::BeginBinary					= "%%BeginBinary:";
const string	Literals::PostScript::EndBinary						= "%%EndBinary";
const string	Literals::PostScript::BeginData						= "%%BeginData:";
const string	Literals::PostScript::EndData						= "%%EndData";
const string	Literals::PostScript::BeginOPI						= "%%BeginOPI:";
const string	Literals::PostScript::Distilled						= "%%Distilled";
const string	Literals::PostScript::ImageFileName					= "%%ImageFileName:";
const string	Literals::PostScript::MainImage						= "%%MainImage:";
const string	Literals::PostScript::TIFFASCIITag					= "%%TIFFASCIITag:";
const string	Literals::PostScript::ImageDimensions					= "%%ImageDimensions:";
const string	Literals::PostScript::ImageCropRect					= "%%ImageCropRect:";
const string	Literals::PostScript::ImageOverprint					= "%%ImageOverprint:";
const string	Literals::PostScript::ImageInks						= "%%ImageInks:";
const string	Literals::PostScript::BeginIncludedImage				= "%%BeginIncludedImage";
const string	Literals::PostScript::IncludedImageDimensions		        	= "%%IncludedImageDimensions:";
const string	Literals::PostScript::IncludedImageQuality				= "%%IncludedImageQuality:";
const string	Literals::PostScript::IncludedImageType					= "%%IncludedImageType:";
const string	Literals::PostScript::EndIncludedImage					= "%%EndIncludedImage";
const string	Literals::PostScript::EndOPI						= "%%EndOPI";
const string	Literals::PostScript::AddComment					= "%%+";
const string	Literals::PostScript::BeginDocument					= "%%BeginDocument:";

const string	Literals::PostScript::Colorimage					= "colorimage";
const string	Literals::PostScript::EndDocument					= "%%%%EndDocument";

const string	Literals::PostScript::EPSCodeLines1[]				        = { "/b4_Inc_state save def",
											"/dict_count countdictstack def",
											"/op_count count 1 sub def",
											"userdict begin",
											"/showpage { } def",
											"0 setgray 0 setlinecap",
											"1 setlinewidth 0 setlinejoin",
											"10 setmiterlimit [ ] 0 setdash newpath",
											"/languagelevel where",
											"{pop languagelevel",
											"  1 ne",
											"  {false setstrokeadjust false setoverprint",
											"  } if",
											"} if",
											"" }; // empty string marks end of list

const string	Literals::PostScript::EPSCodeLines2[]				        = { "count op_count sub {pop} repeat",
											"countdictstack dict_count sub {end} repeat",
											"b4_Inc_state restore",
											"" }; // empty string marks end of list

const string	Literals::PostScript::TIFFCodeLines1[]				        = { "/EBIOS_picstr %u string def",
											"%u %u 8",
											"[%u 0 0 -%u 0 %u]",
											"" }; // empty string marks end of list

const string	Literals::PostScript::TIFFCodeLines2Hex[]			        = { "{ currentfile EBIOS_picstr readhexstring",
											"  pop",
											"}",
										        "false",
//						                                        "3",
								                        "" }; // empty string marks end of list

const string	Literals::PostScript::TIFFCodeLines2Bin[]			        = { "{ currentfile EBIOS_picstr readstring",
											"  pop",
											"}",
											"false",
//											"3",
											"" }; // empty string marks end of list

const string	Literals::NullString						        = "";

const string	Literals::LowQuality						        = "low";
const string	Literals::MediumQuality						        = "medium";
const string	Literals::HighQuality						        = "high";
const string	Literals::NoQuality							= "n/a";

const string	Literals::TIFFExtension						        = ".tif";
const string	Literals::EPSExtension						        = ".eps";

const string	Literals::Parsing							= "parsing...";
const string	Literals::Done								= "done.";
const string	Literals::OPI13Image						        = "___ OPI 1.3";
const string	Literals::OPI20Image	        					= "___ OPI 2.0";
const string	Literals::OPIMixedImage		        				= "___ OPI 1.3, 2.0";
const string	Literals::EncapsulatedImageFound	                		= " encapsulated image found";
const string	Literals::Filename							= "    filename: ";
const string	Literals::ID								= "          id: ";
const string	Literals::Quality							= "     quality: ";
const string	Literals::NotAvailable					        	= "n/a";
const string	Literals::NoReplacementRequired		                		= "    no replacement required.";
const string	Literals::ReplacementForced				        	= "    replacement forced.";
const string	Literals::EnterNewImageFilename         				= "    please enter new image filename. type * to abort.";
const string	Literals::Prompt							= "> > ";
const string	Literals::AbortKey							= "*";
const string	Literals::Aborted							= "    aborted.";
const string	Literals::ReplacingIncludedImage	                		= "R   replacing included image with ";
const string	Literals::ReplacingIncludedImageWait                    		= "... ";
const string	Literals::CopyingIncludedImage			                	= "C   copying included image... ";

const string	Literals::Input								= "input="; //+filename
const string	Literals::Output							= " output="; //+filename
const string	Literals::Format							= "format=";
const string	Literals::OPI13								= "OPI 1.3";
const string	Literals::OPI20								= "OPI 2.0";
const string	Literals::OPIMixed							= "OPI 1.3 & OPI 2.0";

const string	Literals::SearchingImage			        		= "    searching image... ";
const string	Literals::Failed							= "failed!";
const string	Literals::Ok								= "ok.";

const string	Literals::Exceptions::FOpenFailed			                = "Exception: failed in opening "; //+filename
const string	Literals::Exceptions::OutOfMemory	                		= "Exception: out of memory :(";
const string	Literals::Exceptions::ReadScanlineFailed                        	= "Exception: failed in reading a tiff-scanline";
const string	Literals::Exceptions::ConfigOpenFailed		                        = "Exception: failed in opening config file: "; //+filename

const char	Literals::Settings::KeyValDelim	              	        		= '=';
const char	Literals::Settings::CommentDelim	        	        	= '#';
const string	Literals::Settings::UnknownSetting			                = "unknown setting: ";
const string	Literals::Settings::UnknownOutput	        	        	= "unknown opi-output format.";
const string	Literals::Settings::UnknownLineSep		        	        = "unknown line separator.";
const string	Literals::Settings::UnknownReplace	                		= "unknown replace mode.";

const string	Literals::Settings::Keys::ForceReplace                  		= "forcereplace";
const string	Literals::Settings::Keys::HiResPath			                = "hires";
const string	Literals::Settings::Keys::LoResPath	                		= "lores";
const string	Literals::Settings::Keys::Output		                	= "output";
const string	Literals::Settings::Values::OPI13			        	= "opi13";
const string	Literals::Settings::Values::OPI20		        		= "opi20";
const string	Literals::Settings::Values::OPIMixed		                	= "opimixed";
const string	Literals::Settings::Keys::LineSep			                = "linesep";
const string	Literals::Settings::Values::CR		        			= "cr";
const string	Literals::Settings::Values::LF			        		= "lf";
const string	Literals::Settings::Values::CRLF			        	= "crlf";
const string	Literals::Settings::Values::LFCR			        	= "lfcr";
const string	Literals::Settings::Keys::Replace			                = "replace";
const string	Literals::Settings::Values::Auto        				= "auto";
const string	Literals::Settings::Values::Manual	        			= "manual";
const string	Literals::Settings::Keys::Log			        	        = "log";
const string    Literals::Settings::Keys::FindScript                                    = "findscript";
const string    Literals::Settings::Keys::ErrorImage                                    = "errorimg";
const string	Literals::Settings::Keys::LogToScreen	                        	= "logtoscreen";
const string	Literals::Settings::Values::True				        = "true";
const string	Literals::Settings::Values::False	        			= "false";
const string	Literals::Settings::Keys::Data			                	= "data";
const string	Literals::Settings::Values::Hex	        				= "hex";
const string	Literals::Settings::Values::Bin		        			= "bin";
const string	Literals::Settings::Keys::Case			                	= "case";
const string	Literals::Settings::Values::On					        = "on";
const string	Literals::Settings::Values::Off					        = "off";
