    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/

#include <string>
#include <fstream>
//#include <time.h>
//#include <stdio.h>
#include <iostream>
using namespace std;
#include "o3log.h"
#include "o3settings.h"

Log *opilog;


Log::~Log()
{
	close();
}

void Log::start(string filename)
{
	char tm[10];
	char dt[10];
	string tmp;

	logscreen = settings->logtoscreen;
	
	open(filename.c_str(), ios::out | ios::app);

//	strtime(tm);
//	strdate(dt);

//	tmp = "---[opi3.log|" + tm + "|" + dt + "]-------------------------------------\n";

	tmp = "---[";
	tmp += filename;
	tmp += "]---------------------------------------------------\n";

	if (logscreen)
		cout << tmp;
	*opilog << tmp;

}

void Log::write(string str)
{
	char tm[10];
	char dt[10];
	string tmp;

//	strtime(tm);
//	strdate(dt);

//	tmp = tm + "|" + dt + "| " + str + "\n";
	tmp = str+"\n";

	*opilog << tmp;
	if (logscreen)
		cout << tmp;
}

void Log::writeLogScreen(string str)
{
	char tm[10];
	char dt[10];
	string tmp;

//	strtime(tm);
//	strdate(dt);

//	tmp = tm + "|" + dt + "| " + str + "\n";
	tmp = str+"\n";

	*opilog << tmp;
	cout << tmp;
}

void Log::writeLog(string str)
{
	char tm[10];
	char dt[10];
	string tmp;

//	strtime(tm);
//	strdate(dt);

//	tmp = tm + "|" + dt + "| " + str + "\n";
	tmp = str+"\n";

	*opilog << tmp;
}

