
#ifndef __o3path3__
#define __o3path3__

#include <string>
#include <iostream>
#include <stdlib.h>
#include <stdio.h>

using namespace std;

class Path3 {
				Path3() {}
				Path3(Path3 &cpy) {}
	Path3&			operator =(Path3 &p3) {}
public:
	enum Type {
		eEmpty,
		eUnix,
		eWinDos,
		eMacOS
	};

					Path3(const char *newpath, bool referencesfile);
					Path3(const string &newpath, bool referencesfile);

	Type			getType() const { return type; }
	const string&	        getFullPath() const { return path; }
	string			getFileName() const;
	string			getFileNameWoExt() const;
	string			getExtension() const;
	string			getPath() const;
	void			setPath(const string &newpath, bool referencesfile);
	bool			convertPath(const Path3 &match, const Path3 &dest);

private:
	bool			reffile;
	bool			usefileonly;
	Type			type;
	string			path;

	void			detectType();
	void			appendPathDelim();
	bool			beginningMatches(const Path3 &match);
        void                    Path3::findFile(string name);
	void			convertRelToUnix();
	void			convertRelToWinDos();
	void			convertRelToMacOS();
};

#endif // __o3path3__
