    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/
#ifndef __o3settings__
#define __o3settings__

#include <fstream>
#include <map>
#include <string>
using namespace std;
#include "o3image.h"

class Settings : public fstream {
public:
	enum ReplaceMode {
		eAuto,
		eManual
	};
			                Settings(string &configfile);
	ReplaceMode			getReplaceMode()	const;
	int				getLineSepLen()		const;
	const char*			getLineSep()		const;
	Image::OPIVersion	        getOutputFormat()	const;

	//map<string, string>	paths;
	bool				logtoscreen;
	bool				forcereplace;
	//bool				casesensitive;
	string				logfilename;
        string                          findscript;
        string                          errorimg;
	enum DataFormat {
		eHex,
		eBin
	}				dataformat;
private:
	int				lineseplen;
	enum {
		eCR,
		eLF,
		eCRLF,
		eLFCR
	}				linesep;
	ReplaceMode			replace;
	Image::OPIVersion	        outputformat;
	char				linesepchars[3];

	string				killComment(const string& str);
	void				readSettings();
	string				gettoken(const string& str, const char *delim, int index);
	string				gettoken(const string& str, const char delim, int index);
	bool				CMP(const string& str1, const char *str2);
	bool				CMP(const string& str1, const string& str2);

} extern *settings;

#endif // __o3settings__
