    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/
#include <iostream>
#include <string>
using namespace std;
#include "o3exceptions.h"
#include "o3log.h"
#include "o3literals.h"

ExceptionOutOfMemory::ExceptionOutOfMemory(const char *file, int line)
{
	if (opilog)
		opilog->write(Literals::Exceptions::OutOfMemory); //+file+";"+line+")");
	exit(1);
}

ExceptionFOpenFailed::ExceptionFOpenFailed(const string& filename, const char *file, int line)
{
	if (opilog)
		opilog->write(Literals::Exceptions::FOpenFailed + filename); //+file+";"+line+")");
//	exit(1);
}

ExceptionReadScanlineFailed::ExceptionReadScanlineFailed(const char *file, int line)
{
	if (opilog)
		opilog->write(Literals::Exceptions::ReadScanlineFailed); //+file+";"+line+")");
	exit(1);
}

ExceptionConfigOpenFailed::ExceptionConfigOpenFailed(const string &configfile)
{
        if (opilog)
	        opilog->write(Literals::Exceptions::ConfigOpenFailed + " " + configfile + "\n" );
}
