    /*///'
 ./%'
,/'    .adAHHHAbn.           e b  i   o    s      |     |    |   |  | ||
%/    adAHY"'"YHAbn
//  .dHY"'     '"YHb.
//  dHY'         'YHb                       ___     ___
//  HH1           1HH                      /  /    /__/     /
//  HH1           1HH  .d888b.            /__/pen /repress /nterface
//  9Hb.         .dHP  887"88b
//  'VHAn.     .aAHA'   "  ;88
//    9HHAbo.adAHAP       4388b        d8888b .d88b 88b 8   8 .d88b 88b
//     '"YTHHHTY"'          781        8b.    8' .7 8 8 8   8 8' .7 8 8
//                     .   ;d81        '888b. 8 .7  8   9. .7 8 .7  8
//                    u8&oo78P'           'V8 8.7   8   '9.7' 8.7   8
//                     '98887'        o888888 '5880 8    'V'  '5880 8
//
//  O3  --  ebios opi-server  ---------------------------- ---- --- -- -
//  Copyright (c) ebios Informationssysteme
//  Written by Marcus Warga
/
                            //////////////////////////////////////////*/

#include <string>
using namespace std;

#ifndef __o3literals__
#define __o3literals__

class Literals {
public:

	static const char			CR;
	static const char			LF;

	class PostScript {
	public:
		static const string		ALDImageFileName;
		static const string		ALDImageID;
		static const string		ALDObjectComments;
		static const string		ALDImageDimensions;
		static const string		ALDImageCropRect;
		static const string		ALDImageCropFixed;
		static const string		ALDImagePosition;
		static const string		ALDImageResolution;
		static const string		ALDImageColorType;
		static const string		ALDImageColor;
		static const string		ALDImageTint;
		static const string		ALDImageOverprint;
		static const string		ALDImageType;
		static const string		ALDImageGrayMap;
		static const string		ALDImageTransparency;
		static const string		ALDImageASCIITag;
		static const string		BeginObject;
		static const string		EndObject;
		static const string		BeginBinary;
		static const string		EndBinary;
		static const string		BeginData;
		static const string		EndData;
		static const string		BeginOPI;
		static const string		Distilled;
		static const string		ImageFileName;
		static const string		MainImage;
		static const string		TIFFASCIITag;
		static const string		ImageDimensions;
		static const string		ImageCropRect;
		static const string		ImageOverprint;
		static const string		ImageInks;
		static const string		BeginIncludedImage;
		static const string		IncludedImageDimensions;
		static const string		IncludedImageQuality;
		static const string		IncludedImageType;
		static const string		EndIncludedImage;
		static const string		EndOPI;
		static const string		AddComment;
		static const string		BeginDocument;

		static const string		Colorimage;
		static const string		EndDocument;

		static const string		EPSCodeLines1[];
		static const string		EPSCodeLines2[];
		static const string		TIFFCodeLines1[];
		static const string		TIFFCodeLines2Hex[];
		static const string		TIFFCodeLines2Bin[];
	};

	static const string		NullString;

	static const string		LowQuality;
	static const string		MediumQuality;
	static const string		HighQuality;
	static const string		NoQuality;
				
	static const string		TIFFExtension;
	static const string		EPSExtension;

	static const string		Parsing;
	static const string		Done;
	static const string		OPI13Image;
	static const string		OPI20Image;
	static const string		OPIMixedImage;
	static const string		EncapsulatedImageFound;
	static const string		Filename;
	static const string		ID;
	static const string		Quality;
	static const string		NotAvailable;
	static const string		NoReplacementRequired;
	static const string		ReplacementForced;
	static const string		EnterNewImageFilename;
	static const string		Prompt;
	static const string		AbortKey;
	static const string		Aborted;
	static const string		ReplacingIncludedImage;
	static const string		ReplacingIncludedImageWait;
	static const string		CopyingIncludedImage;
					
	static const string		Input;
	static const string		Output;
	static const string		Format;
	static const string		OPI13;
	static const string		OPI20;
	static const string		OPIMixed;

	static const string		SearchingImage;
	static const string		Failed;
	static const string		Ok;



	class Exceptions {
	public:
		static const string		FOpenFailed;
		static const string		OutOfMemory;
		static const string		ReadScanlineFailed;
		static const string		ConfigOpenFailed;
	};

	class Settings {
	public:
		static const char		KeyValDelim;
		static const char		CommentDelim;
		static const string		UnknownSetting;
		static const string		UnknownOutput;
		static const string		UnknownLineSep;
		static const string		UnknownReplace;

		class Keys {
		public:
			static const string HiResPath;
			static const string LoResPath;
			static const string Output;
			static const string LineSep;
			static const string Replace;
			static const string Log;
                        static const string FindScript;
                        static const string ErrorImage;
			static const string LogToScreen;
			static const string Data;
			static const string Case;
			static const string ForceReplace;
		};

		class Values {
		public:
			static const string	OPI13;
			static const string	OPI20;
			static const string	OPIMixed;
			static const string	CR;
			static const string	LF;
			static const string	CRLF;
			static const string	LFCR;
			static const string	Auto;
			static const string	Manual;
			static const string	True;
			static const string	False;
			static const string Hex;
			static const string Bin;
			static const string On;
			static const string Off;
		};
	};
};

#endif // __o3literals__

